package domain


type AlibabaWdkItemBrandQueryResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        code     */
    Code  *string `json:"code,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

    /*
        result     */
    Result  *string `json:"result,omitempty" `

}

func (s *AlibabaWdkItemBrandQueryResult) SetSuccess(v bool) *AlibabaWdkItemBrandQueryResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemBrandQueryResult) SetCode(v string) *AlibabaWdkItemBrandQueryResult {
    s.Code = &v
    return s
}
func (s *AlibabaWdkItemBrandQueryResult) SetErrorCode(v string) *AlibabaWdkItemBrandQueryResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkItemBrandQueryResult) SetErrorDesc(v string) *AlibabaWdkItemBrandQueryResult {
    s.ErrorDesc = &v
    return s
}
func (s *AlibabaWdkItemBrandQueryResult) SetResult(v string) *AlibabaWdkItemBrandQueryResult {
    s.Result = &v
    return s
}
